pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/37729: Several Tcl related packages are outdated and at least one is repeated

>Number:         37729
>Category:       pkg
>Synopsis:       Several Tcl related packages are outdated and at least one is 
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Wed Jan 09 14:15:00 +0000 2008
>Originator:     Emiliano Gavilán
>Release:        NetBSD 4.0
Universidad Nacional de Rosario
NetBSD 4.0 NetBSD 4.0 (GENERIC) #0: Sun Dec 16 
00:20:10 PST 2007  
Several Tcl related packages are outdated and at least one is
Some additional useful packages would be great to have too.

Existing packages

* The stable release of Tcl and Tk is now 8.5 .
  The 8.4 is scheduled to be abandoned after the final release
  on march (see

* devel/tcllib is old, the current version is 1.10

* There is still lang/tcl-8.3.4 and x11/tk-8.3.4 packages, both being
  obsolete and unmaintained.
  The changelog says "Reimport tcl-8.3.4 into lang/tcl83 before
  updating Tcl/Tk to 8.4.5, because many packages still need 8.3"
  but I can't find any package that actually needs it.

* lang/tk-expect-5.43.0nb1 is unneded. This package only builds a
  wish interpreter with both Tk and Expect extensions preloaded.
  This can be accomplished by requiring those extensions in the
  calling script.
  Instead of
  the script should do
    package require Expect
  The same applies to lang/tk-tclX

* Latest version of lang/tclX is 8.4.0

* Latest version of x11/tk-Tix is 8.4.2 . This version removes
  support for tixwish interpreter, so the scripts that need the
  tix package should do "package require Tix" early.

* x11/bwidget is the same package as tk-BWidegt and the former is
  up to date.

* lang/libtcl-nothread -- for which package is this needed?
  Nowadays a standard installation of Tcl consists of a library and libtclstub8.x.a, both of which can be used for

* devel/stooop is included in the more more general tcllib

* www/cgi is included in the more general tcllib

* lang/tcl-itcl* packages won't work with the new tcl8.5 due to
  considerable internal changes. For itcl to build and work with 8.5
  a fairly recent cvs snapshot is needed (at least dec 2007)

Some problems that may arise in the case of updating tcl and tk to
it's latest version I'm aware of (besides the itcl one):

* x11/Tix won't build out of the box, but a fix seems to be pretty
  straighforward. See this post:

* x11/blt wont build with 8.5 out of the box. This seems to be
  harder to achieve for what I have heard in the tclers chat.

Packages would be nice to have
Some proposed names:

* x11/tk-tktable (
  A C based grid/spreadsheet widget for Tk.

* x11/tk-tktreectrl (
  A C based tree widget for Tk.

* textproc/tcl-tdom (
  A C based XML extension for Tcl.

* lang/tcl-xotcl (
  A C based object extension for tcl (akin to tcl-itcl and tcl-otcl)

* graphics/tk-img (
  A C based set of extensions to bring more image formats to Tk
  (jpg, png, tiff, etc)
  This could be difficult to build due to it's build infrastructure
  and the makefiles not honouring the LDFLAGS variable.
  One of the Tk developers have made available a version located in
  which do honour the LDFLAGS and can be used to build relatively
  easy on NetBSD (I have used this version). However, this version
  is not the official one.

* graphics/tk-tkpng (
  Support for png image format in Tk. This package doesn't depend
  on libpng

* databases/tcl-metakit (
  An efficient embedded database. Similar to py24-metakit (it builds
  from the same sources)

* x11/tk-tktray (
  A freedesktop-compliant system tray support for Tk.



Home | Main Index | Thread Index | Old Index